Package org.globus.util

# Class QuotedStringTokenizer

java.lang.Object
org.globus.util.QuotedStringTokenizer

All Implemented Interfaces:
  `Enumeration`

public class QuotedStringTokenizer extends Object implements Enumeration

## Constructor Summary

Constructors
Constructor
Description
`QuotedStringTokenizer(String str)`

## Method Summary

Modifier and Type
Method
Description
`int`
`countTokens()`
`boolean`
`hasMoreElements()`
`boolean`
`hasMoreTokens()`
`Object`
`nextElement()`
`String`
`nextToken()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Enumeration

`asIterator`

## Constructor Details

### QuotedStringTokenizer

public QuotedStringTokenizer(String str)

## Method Details

### nextElement

public Object nextElement()

Specified by:
  `nextElement` in interface `Enumeration`

### nextToken

public String nextToken()

### hasMoreElements

public boolean hasMoreElements()

Specified by:
  `hasMoreElements` in interface `Enumeration`

### hasMoreTokens

public boolean hasMoreTokens()

### countTokens

public int countTokens()